gi-cairo-1.0.24: Cairo bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Cairo.Structs.Region

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype Region = Region (ManagedPtr Region)

# Exported types

newtype Region Source #

Memory-managed wrapper type.

Constructors

Region (ManagedPtr Region) |

#### Instances

Instances details

Eq Region Source # |
Instance details Defined in GI.Cairo.Structs.Region Methods (==) :: Region -> Region -> Bool # (/=) :: Region -> Region -> Bool #
IsGValue Region Source # | Convert `Region` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.Region Methods toGValue :: Region -> IO GValue Source # fromGValue :: GValue -> IO Region Source #
ManagedPtrNewtype Region Source # |
Instance details Defined in GI.Cairo.Structs.Region Methods toManagedPtr :: Region -> ManagedPtr Region Source #
TypedObject Region Source # |
Instance details Defined in GI.Cairo.Structs.Region Methods glibType :: IO GType Source #
GBoxed Region Source # |
Instance details Defined in GI.Cairo.Structs.Region
HasParentTypes Region Source # |
Instance details Defined in GI.Cairo.Structs.Region
type ParentTypes Region Source # |
Instance details Defined in GI.Cairo.Structs.Region type ParentTypes Region = '[] :: [Type]

# Methods

## Overloaded methods